Summary of Features

1.1 Summary of Features

Embest Online Flash Programmer (hereinafter referred to as Flash Programmer) applies to FLASH chip programming in the embedded system developed based on ARM series processors, specially to the FLASH users of selecting 贴片. This software must be applied together with ARM emulators made by Embest or other designated equipment.

Summary of Features and Functions:

l Supporting all ARM7 and ARM9 based processors, such as ATMEL’s AT91R40807, Cirrus Logic’s EP7312 and SAMSUNG’s S3C4510 and S3C2410

l Supporting most manufacturers’ FLASH chips, such as AMD’s AM29 series, Intel’s 28 series and SST’s 29\39\49 series.

l Supporting blank check, erase, programming, file verify, calculating check sum, protection, upload operation for FLASH.

l Sector area may be designated for all FLASH operations without interference with contents of other sectors.

l Supporting 8-bit, 16-bit and 32-bit FLASH access width.

l Supporting 1-chip, 2-chips and 4-chips FLASH programming; it is unnecessary to split programming files.

l Supporting Windows 98\ME\XP and Windows NT\2000 operation system.

l The programming speed with P1.7 G computer and Embest emulator under Windows 2000 operation system is about 3Kbytes/S.

Other Features of Flash Programmer:

l Saving and loading of programming configuration data.

l Register reading and target testing prior to programming.

l FLASH sector address indication.

l Simple and direct interface set-up for processor and register.

l Complete manual both in Chinese and English.


Introduction

1.2 Introduction

The software interface of Flash Programmer is in dialogue page form:

Fig. 1-1 Flash Programmer Interface

Flash Programmer consists of three dialogue pages:

1. Program, which shows the current data of the ARM processor and Flash chip information, and sets up partial programming data.

2. CPU, which selects ARM processor, configure the register, memory and conducts target test, etc.

3. FLASH, which selects Flash chips, sets up access width and number of chips, etc.

Flash Programmer provides three principal menus:

1. File, which is for saving and loading the configured data, and opening the configured data lately used.

2. Setting, which is for selecting and configuring the programming equipment.

3. Help, which is for offering assistance to users, visiting technical support forum, software upgrading and user registration.

The principal interface of Flash Programmer also includes seven FLASH operating command buttons, a exit command button, progress indication bar and information output area.


Host Requirements

2.1 System requirements

Computer: | Pentium II or higher
Memory: | 64M or higher
Hard discs: | 10M is necessary to setup the complete software.
Monitor: | VGA or a monitor with resolution higher than VGA
Driver: | CD-ROM driver
Operation system: | Microsoft Windows 98, Windows Me, Windows XP, Serivice Pack 3 or updated Windows NT, Windows 2000.


产品安装

2.2 Flash Programmer Setup

It is quite simple to set up Flash Programmer, just by running Setup.exe in the Flash Programmer package and make implementation step by step according to the instructions.

Flash Programmer setup program shall automatically distinguish whether Embest IDE software already exists in the computer.

1. If Embest IDE software exists in the computer, the setup program shall setup Flash Programmer on default basis to “{Embest IDE setup directory}\Tools\FlashProgrammer”. Please refer to the following figure. Meanwhile, the setup program shall automatically detect whether the computer needs to install the device module and driver program shared by IDE software. If IDE has been registered, the software works directly.

Fig. 2-1 Destination Location Dialogue of Setup Program

2. If Embest IDE software is not available in the computer, the setup program shall setup Flash Programmer on default basis to “Program Files\ Embest\FlashProgrammer”. It is necessary to restart the computer after setup. Registration is necessary before the software works normally.

After setup, make default-creation of Embest Tools program folder, which should contain shortcut of execution program and help.


User Registering

2.3 User Registering

If you are a registered user of Embest IDE, you may directly use this product after setup.

If you are a user who has only purchased Flash Programmer, you must make registration before using this software. The registration process is as follows:

1. Run Flash Programmer, and choose the menu Help > Register…;

2. Fill your registration information in the dialogue as shown in the following figure.

Fig. 2-2 User Registration Dialogue

3. Restart running after the software is closed.

Way to obtain the registration information: if you have purchased this product, please use the e-mail address designated for registration to send e-mail message to licenses@embedinfo.com. You must specify “Flash” in the title of your e-mail. Your e-mail message must contain user name, address, telephone, company name (unnecessary for individual users). You can receive our registration information in half of work day in usual case.


File Menu

3.1 File menu

The file menu is used for saving and opening the programming configuration data files set by users. This file exists in *.cfg form.Through menu file, a user may save an opened programming configuration data file as other file and open four programming configuration files which have been opened lately.

Form 3-1 File menu

Menu commands | Description
Open… | Open programming configuration data file *.cfg
Save | Save programming configuration data file
Save As… | Save the programming configuration data file as other file


Setting Menu

3.2 Setting Menu

Setting Menu contains a sub-menu of Configure…

Form 3-2 File Menu

Menu commands | Description
Configure… | Select and configure programming equipment

Choose sub-menu of Setting > Configure…, a programming device configuration dialogue will pop as the following figure:

Remote device. This pull-down window shows all the programming devices supported by this software. You may choose one of them. The description and version of the chosen device shall appear at the lower part of this pull-down window. The programming devices supported by this software including:

Jtagarm7 | Emulator for ARM made by Embest Co. Before selecting this device, user must have purchased Embest IDE or Emulator individual.
JtagCable | Jtag cable for ARM. It is very easy to do it by youself. User can do it according schematic shown in attachment.

Communication type. Set the Communication type to connect this device with the host.

The parallel port should be set according to the actual connection.


Help Menu

3.3 Help Menu

Form 3-3 Help Menu

Menu Command | Description
Contents… | User’s manual
Online Forum | Flash Programmer online technical support forum
Software Update | Visiting the notice on software updating and latest news about this software
Register… | User registration
About… | About this software


Main Interface

4.1 Main Interface

The main interface of Flash Programmer is in dialogue form, which consists of three pages of sub-dialogue (refer to the obscure area in the following figure). For the functions of the three sub-dialogues, refer to 4.2 to 4.4.

Fig. 4-1 Main Interface

Eight Command Buttons. Refer to the area circled in purple. For the function description, refer to 4.1.1.

Command Progress Indication. Refer to the upper of the area circled in red in the above figure. While executing Flash operation command, the current execution progress will be displayed.

Information Output Area. Refer to the lower of the area circled in red, output the relevant information and prompt in process of executing the command. For all the error information and the cause of the error information, refer to the attachment.


Command Button

4.1.1 Command Button

● Blank Check

Complete Blank Check

Check and make sure whether all the units of Flash chip are in blank status and all the data are of OxFF. In case of non-blank unit, the software shall exit from the blank check operation and the non-blank unit address and data will be displayed.

● Erase

Chip Erase

Depending on the user’s setting, either complete FLASH chip data or chip based sector data shall be erased.

Note: Partial chip shall not support the sector erase operation and another partial chip may be directly programmed and no erase is necessary.

● Program

Programming

Program the whole FLASH chip data or chip based sector. The programming data file can be chosen from the programming sub-dialogue. The user may set the Program with Auto Erase and automatic verification in process of programming.

● Verify

File Verification

Read the whole FLASH chip data or chip based sector data, compare the programming data file chosen by the user in the programming sub-dialogue. In case of different data, the software shall stop verification operation and addresses of different units shall be displayed.

● Checksum

Checksum

Read the whole FLASH chip data or chip based sector data, work out and display the checksum of all data.

● Protect

Chip protection

Execute the protection operation for the whole FLASH chip or chip based sector.

● Upload

Data upload

Read the whole FLASH chip data or chip based sector data and save them as BIN files with the file name to be designated by the user in the programming sub-dialogue.

● Close

Command interruption and application closed

While executing Flash operation command, this button provides interruption command. In other cases, it has the function of closing the application program.


Programming Sub-Dialogue

4.2 Programming Sub-Dialogue

The Programming sub-dialogue gives currently chosen CPU information, currently chosen Flash chip information and sets other programming data. At the top of the dialogue, the currently opened programming configuration files is listed.

Fig. 4-2 Programming Sub-dialogue

CPU Type. The read-only text box shows the CPU type currently chosen by the user. The selection of CPU type is made in the CPU sub-dialogue.

CPU Endian. The read-only text box shows whether the CPU Endian currently set by the user is of big Endian or small Endian. The setting of CPU Endian is made in the CPU sub-dialogue.

Flash Device. The read-only text box shows the Flash chip type currently chosen by the user. The selection of Flash chip type is made in the Flash sub-dialogue.

Flash Start. The read-only text box shows the Flash memory area start address currently set by the user. Setting of the Flash memory area start address is made in the Flash sub-dialogue. The specific numeric depends on the chip selected register data set by the user in the CPU dialogue.

Flash width and number of chips. The read-only text box shows the data bus width of Flash chip and total number of chips currently chosen by the user. The selection of the data bus width and number of chips is made in the Flash sub-dialogue.

Sector From .. To … The read-only text box shows the Sector From .. To … of the CPU chip currently set by the user. The setting of the Sector From .. To …is made in the CPU sub-dialogue.

RAM Start Editing Box. The User may set the start address of RAM memory devices, such as DRAM, SRAM, in the editing box. This address depends on the corresponding chip selected register data set by the user in the CPU sub-dialogue. In case there is no RAM device available on the user board, the user may use the inchip RAM address.

Note: A user must ensure the RAM memory area to be greater than 4K. For Flash chips which must be loaded with data of one sector once, the user needs to ensure the space greater than 4K + the size of the sector. Otherwise, it is impossible to complete the programming function.

Program With Auto Erase check box. After the user has chosen this item, the whole chip or the sector designated by the user will be automatically erased before executing the programming command. If this item is not chosen, it may not be erased before programming. If there is still data in the chip at this time, most Flash chip programming may fail.

Program With Auto Verify check box. After the user has chosen this item, while executing the programming command, the applied program may read Flash data and make comparison every time a section of data is written. In case comparison fails, the programming command stops and an error will be prompted.

Program File editing box. The user chooses or edits the data file used for programming from this box. The data file supports two formats of files, i.e. Flat Binary files and Intel Hex files. This program file is used at the same time for data comparison while verifying.

Upload File editing box. The user chooses or edits the file used for saving the upload data. The upload files must be saved in Flat Binary format.


CPU Dialog

4.3 CPU Sub-Dialogue

CPU sub-dialogue is used to set ARM series processor used by the user, to set the CPU register, write data to designated memory area and select endian mode. Users may read the register and test the target in this dialogue.

Fig. 4-2 Programming Sub-dialogue

CPU Listing Tree presents the types of all ARM series CPU supported by the current software. A user may click the type to choose CPU. After the type is selected, the write register on the right will display the internal function register of that CPU and its initial default value.

Write Registers displays the name of the internal function register of the currently chosen CPU, the initial default value and value to be written. A user may pop up the editing box by clicking the value of the corresponding register, where the user may revise the written value of the registered. If the written value is different from the initial default value, this value will be displayed in red.

Write Memory is used to set the address, data and width of the memory area necessary to be written. A user may click any cell to edit the data in the cell. In case some of the internal function registers in the CPU are absent from the register list, a user may write directly the data here to the memory area corresponding to the register

Note: A user has to set the write register and write memory area sequence to complete the following functions:

1. Configure the basic registers such as system control register, clock control register which ensures operation of the system.

2. DIsable the watchdog.

3. Configure the relevant register of the memory area, including Flash chip selected register, which determines the start address of Flash; configure SARM/DRAM chip selected register, which determines the start address of RAM; configure DRAM dynamic refreshable register; configure re-mapping register.

4. Disable all interrupt and clear all the pending interrupt.

All the above functions should be set according to the practical situation. Not all the functions are necessary to be performed. A user may make setting with reference to the 5.1 or 5.2.

Endian Selection Box A user may choose the endian mode according to the design of the user’s PCB.

Target Test Button As a user clicks this button, the applied software shall implement the target test command. The test includes:

(1) Reset the user’s target CPU.

(2) Write the register data and read the data of the register. If the data written and read are different, it shall prompt the user whether to continue the test. If the register contains read only bit, the data written and read may possibly be different. After confirmed by the user, test may continue.

(3) Write the data in the memory area and read those data. If the data written and read are different, it shall prompt the user whether to continue the test.

(4) Test RAM memory area; read and write the initial 4K space in the RAM memory area designated by user. If they are completely the same, it means the test of the RAM memory area is successful.

(5) Read Flash device identification, compare the identification read with that saved by the software. If they are totally the same, it means the whole target test is successful.

Note: Any user must carry out the target test as long as this software is applied in a user’s circuit board in which the software has never used before. As long as the target test is successful, can normal operation of other commands of Flash be ensured.

Register Read Button Click this button, the applied software shall read all the data in the register list from the user’s circuit board and display the value. If a user has set data to be written in the register list. These data shall be overwritten by the register data read out. A user had better save the data before use this function. This function is usually applied in reading the register data of the formed circuit board with running software.


Flash Sub-dialogue Box

4.3 Flash Sub-dialogue Box

The Flash sub-dialogue box is used for setting FLASH chip type used by a user, data bus access width, number of chips, FLASH start address and sector operation range.

Fig. 4-3 FLASH Sub-dialogue Box

Flash List Tree displays all the Flash chip types currently supported by the software. A user may choose chips by clicking the Flash type as used. After a Flash type is chosen, the width pull-down box on the right will display the data bus access width may be supported by the chip. A sector list displays all sector sizes and the start addresses according to the sequence.

Data Bus Access Width Pull-down Box A user may choose a data bus access width according to the actual design of the circuit board, which is 8 bits, 16 bits or 32 bits.

Chips Pull-down Box A user may choose the number of chips for use according to the actual design of the circuit board, which can be 1 chip, 2 chips or 4 chips.

Flash Start Address Editing Box A user may set the start address of the Flash memory area according to the data of the CPU’s chip-selected register. After setting, press “Enter” and the following sector information list shall be refreshed automatically.

Sector From .. To .. Editing Box A user may update the sector operation range which may be designated by the start sector and end sector and the default is the whole chip.

Sector Information List displayed the sector sequence number, size and the start address of each sector contained in this chip according to the sequence.


NET START Evaluation Board Programming Example

5.1 NET START Evaluation Board Programming Example

Net Start Evaluation Board is an evaluation circuit board based on S3C4510 of Samsung’s ARM7 chip. The board contains 2M Flash chip with the model as AMD’s AM29LV160DB and 16M SDRAM. The applied program on the board is ucLinux. It is an evaluation board quite in fashion at present. For the detail, please vise our website www.embedinfo.com.

Net Start Evaluation Board uses 64 K memory space in front of FLASH, i.e. No. 1 through No. 4 sectors are used for saving BootLoader software, which is used for starting ucLinux programmed to No. 5 through No. 35 sectors or programming the sectors from No. 5 to No. 35. This section describes how to use Flash Programmer to program Flash of the Net Start Evaluation Board. Users may make programming configuration for other targets with reference to this example.

1) Programming Device Setting

Choose sub-menu of Setting > Configure…, a programming device configuration dialogue will pop as the following figure:

Choose suitable programming device and set the communication type and communication channel.

2) CPU Setting

Choose CPU sub-dialogue box as the following figure:

Choose SAMSUNG’s S3C4510 CPU, choose small Endian mode and set the following register:

Symbol | Name | Value | Description
SYSCFG | System configuration register | 0x83FFFF90 | Set the internal register basic address as 0x3FF0000. If the basic address is set other address, it is necessary to set the register by writing memory. Select the asynchronous DRAM mode.
EXTDBWTH | Data bus width register | 0x00003E02 | Set the access width of FLASH 0 and DRAM 0 memory unit as 16-bit.
ROMCON0 | FLASH No. 0 memory unit control register | 0x1A060040 | Set FLASH access cycle with the start address as 0x180000 and the end address as 0x1A00000.
DRAMCON0 | DRAM No. 0 memory unit control register | 0x10000301 | Set as EDO DRAM FLASH, refreshing cycle as 4 cycles, the start address as 0x 0 and the end address as 0x1000000.
REFEXTCON | Refresh and extension IO control register | 0x9C298360 | Set refresh parameters.
INTPND | Interrupt pending register | 0xFFFFFFFF | Pending all interrupts. As there is reset operation, this register may not be set.
INTMSK | Interrupt mask register | 0xFFFFFFFF | Mask all interrupts. As there is reset operation, this register may not be set.

3) FLASH Chip Setting

Choose FLASH sub-dialogue box as the following figure:

Choose AMD’s AM29LV160B/DB chips, choose the access width as 16 bits, choose the number of chip as 1 chip, set Flash start address as 0x180000. If it is necessary to programming BootLoader, choose sector range as 1 to 4. If it is necessary to programming ucLinux, choose the sector range as 5 to 35.

4) Programming Data Setting

Choose programming sub-dialogue box as the following figure:

Set RAM start address as 0. Choose BIN format file necessary for programming. If upload is necessary, choose the upload file.

5) Target Board Testing

Choose CPU sub-dialogue box, click the Target Test button, start target test. Pop up the following dialogue box while testing to notify the SYSCFG register that the data written and read are different. YES is selected for continuing the test because the SYSCFG register contains S3C4510 device identfication.

Pop up the similar dialogue boxes and choose YES to continue the test for all.

Upon the test of RAM area, start to obtain Flash device identfication. If the Flash identfication as obtained are the same as those saved, it means the test is successful. The information is output as the following figure:

6) FLASH Programming

A user may click the programming button for programming operation or other Flash operations.

Note: The s3c4510-netstart_boot.cfg and s3c4510-netstart_linux.cfg files under the Flash Programmer setup directory are the NET START evaluation board programming data files which have been already set.


AT91EB40 Evaluation Board Programming Example

5.2 AT91EB40 Evaluation Board Programming Example

AT91EB40 Evaluation Board is an evaluation circuit board based on AT91R40807 of ATMEL’s ARM7 chip. The board contains 128K Flash chip with the model as AMD’s AT29LV1024 and 512K SDRAM. It is an evaluation board most in fashion now.

AT91EB40 uses 64K memory space in front of FLASH (No. 1 through No. 256 sectors) for start software and 64K memory space behind FLASH (No. 257 through No. 512 sectors) for user software.

Note 1: AT91EB40 use the jumper for switiching form the start software area to the user software area.

Note 2: For AT91EB40 start software area programming, it is necessary to link the jumper for protecting FLASH.

1) Programming Device Setting

The same as setting NET START evaluation board

2) CPU Setting

Choose CPU sub-dialogue box as the following figure:

Choose ATMEL’s AT91R40807 CPU, choose small Endian mode and set the following register:

Symbol | Name | Value | Description
EBI_CSR0 | EBI chip select 0 register | 0x01002529 | Set FLASH basic address as 0x1000000; set FLASH bus width as 16 bits; set FLASH wait cycle, etc.
EBI_CSR1 | EBI chip select 1 register | 0x02002121 | Set SRAM basic address as 0x2000000; set SRAM bus width and wait cycle, etc.
EBI_RCR | re-mapping control register | 0x00000001 | Complete the re-mapping function to make various memory areas effective.

3) FLASH Chip Setting

Choose FLASH sub-dialogue box as the following figure:

Choose ATMEL’s AT29LV1024 chips, choose the access width as 16 bits, choose the number of chip as 1 chip, set Flash start address as 0x1000000. In case default is possible, choose sector range as 1 to 512. However the actually operative sector range is 1 to 256. In case of programming the user software area, please set Flash start address as 0x01010000 and the other data remain unchanged.

4) Programming Data Setting

Choose programming sub-dialogue box, set RAM start address as 0x2000000. Choose BIN format file necessary for programming. If upload is necessary, choose the upload file.

5) Target Board Testing

Choose CPU sub-dialogue box. Click Target Test button, start tart test. The successful test output information:

Info: device code is 0x0026, read value is 0x0026, target test success.

6) FLASH Programming

A user may click the programming button for programming operation or other Flash operations.

Note: The at91eb40_Lower.cfg and at91eb40_upper.cfg under the Flash Programmer setup directory are the ATEB40 evaluation board programming data files which have been already set.


Other Evaluation Board Program Example

5.3 Other Evaluation Board Program Example

All the *.cfg files under the directory of Flash Programmer installation files are programming configuration data files based on some evaluation board, which can be used as reference for users to set up their own program configuration data.

File name（*.cfg） | Evaluation board | CPU | FLASH
at91eb40_Lower | EB40 | AT91R40807 | AT29LV1024
at91eb40_upper | EB40 | AT91R40807 | AT29LV1024
at91eb55_Lower | EB55 | AT91M55800 | AT49BV/F1604T
at91eb55_upper | EB55 | AT91M55800 | AT49BV/F1604T
at91eb63_lower | EB63 | AT91M63200 | AT49BV/F1604T
at91eb63_upper | EB63 | AT91M63200 | AT49BV/F1604T
s3c44b0x-44bdvk | 44BDVK | S3C44B0 | SST39LF/VF160
s3c4510-netstart_boot | NET START | S3C4510 | AM29LV160B/DB
s3c4510-netstart_linux | NET START | S3C4510 | AM29LV160B/DB
oki_ml671000 | ML671000 | ML671000 | AT29LV1024
oki_ml674000 | ML674000 | ML674000 | TC58FVT321FT


Prompt Information Reference

6.1 Prompt Information Reference

1001 | …… completed. …… success.
 | Introduction | Indicating execution of some command has been done or execution is successful.
1002 | device code is 0x????, read value is 0x????, target test failed/success.
 | Introduction | Output after target test finished; compared the saved device identification and read identification; indicated success or failure of the test.
1003 | not support chip erase, use sector erase.
 | Introduction | The user has chosen the whole FLASH chip for erasing, if this chip does not support the chip erase then the software indicates to use the sector erase method for erasing.
1004 | not support chip protect, use sector protect.
 | Introduction | The user has chosen the whole FLASH chip for protect, if this chip does not support the chip protect then the software indicates to use the sector protect method for protect.
1005 | Start …… .
 | Introduction | The user starts to execute some FLASH chip operation command.
1006 | the chip does not support erase function, erase end.
 | Introduction | While the user executes erase operation, if the chip does not support the erase function, software indicate that the erase ends. The FLASH chip which can be directly programmed will produce this prompt.
1007 | the chip does not support protect function, protect end.
 | Introduction | While the user executes protect operation, if the chip doesl not support the protect function, software indicate that the protect ends.
1008 | the chip does not support sector erase function, erase end.
 | Introduction | While the user executes sector erase operation, if the chip does not support the sector erase function, software indicate that the erase ends.
1009 | the chip does not support sector protect function, protect end.
 | Introduction | While the user executes sector protect operation, if the chip does not support the sector protect function, software indicate that the protect ends.
1010 | user stop …… .
 | Introduction | User has interrupted some operation in execution.


Error Information Reference

6.2 Error Information Reference

2001 | blank check failed, address 0x???????? contain data 0x%??.
 | Description | Blank check failed, indicating address unit contains data.
 | Cause | no remedy necessary.
2002 | breakpoint set failed..
 | Description | breakpoint setting failed.
 | Cause | ¾ Target board is unstable. ¾ Trouble in hardware connection. ¾ Trouble in programming device. Please contact your supplier.
2003 | can't create binary file!
 | Description | Binary file cannot be created.
 | Cause | ¾ The disk is full. ¾ The user is unauthorized. ¾ Other file system error.
2004 | can't create … file!
 | Description | Some file cannot be created.
 | Cause | The cause is the same as the above.
2005 | can't open … file!
 | Description | Some file cannot be opened.
 | Cause | ¾ The file could not be located. ¾ The user is unauthorized to open the file. ¾ Other file system error.
2006 | cannot find execute file.
 | Description | There exists no execute file.
 | Cause | ¾ The software has not been fully setup. Please setup again. ¾ For other cause, please contact your supplier.
2007 | cannot find program file.
 | Description | There exists no program file.
 | Cause | ¾ Wrong full path name of the program file. Please set the correct program file.
2008 | clear all breakpoints failed. clear breakpoint failed.
 | Description | Failed to clear the breakpoint.
 | Cause | ¾ Target board is unstable. ¾ Trouble in hardware connection. ¾ Trouble in programming device. Please contact your supplier.
2009 | convert Intel Hex format file failed, program stop.
 | Description | Failure in converting Intel Hex file to BIN file.
 | Cause | ¾ Incorrect Intel Hex file. Please reselect the file or file format.
2010 | dump memory failed. read Flash memory failed. read memory failed. fill memory failed. write memory failed.
 | Description | Failure in reading memory.
 | Cause | ¾ Due to wrong configuration of the register, there exists no corresponding memory. ¾ Target board is unstable. ¾ Trouble in hardware connection. ¾ Trouble in programming device. Please contact your supplier.
2011 | emulator not found, please check power and hardware connection.
 | Description | The emulator cannot be found. Please check the power of the emulator and hardware connection.
 | Cause | ¾ The computer has not been connected with the program device. ¾ The program device is not connected with the target board. ¾ Target board is not supplied with power. ¾ Communication port is configured wrongly or damaged.
2012 | end sector number overflow.
 | Description | The operation end sector has exceeded FLASH sector scope.
 | Cause | The operation end sector necessary to be corrected to a correct value.
2013 | execute file failed..
 | Description | Execute file failed;
 | Cause | ¾ Target board is unstable. ¾ Trouble in hardware connection. ¾ Trouble in programming device. Please contact your supplier.
2014 | file exception, ……
 | Description | Windows file system operates abnormally and the cause has been indicated.
 | Cause | ¾ Solve the problem according to the cause indicated. ¾ If no cause has been indicated, please contact your supplier.
2015 | file name error.
 | Description | File name error.
 | Cause | ¾ Excessively long file name.
2016 | get target status failed.
 | Description | Failure in obtaining the target board status.
 | Cause | ¾ Abnormal communication between the emulator and target board. ¾ Abnormal applied program of the target board. The user needs to reset the target board and make reconnection.
2017 | incorrect sector number . you must select CPU. you must select falsh width. you must select flash chip. RAM address equal flash address
 | Description | Incorrect programming data configuration.
 | Cause | ¾ Incorrect configuration of the start sector and the end sector. ¾ CPU or FLASH has not been chosen. ¾ FLASH access width has not been chosen. ¾ RAM start address is the same as FLASH start address.
2018 | initialize taget board failed.
 | Description | Initialize target board failed.
 | Cause | ¾ Target board is unstable. ¾ Trouble in hardware connection. ¾ Trouble in programming device. Please contact your supplier.
2019 | open … file failed.
 | Description | Open … file failed
 | Cause | ¾ Windows file system in trouble. ¾ For other cause, please contact your supplier.
2020 | program file too large, program failed.
 | Description | Program file size has exceeded FLASH capacity.
 | Cause | ¾ Revise it into a file with normal size.
2021 | …… failed.
 | Description | FLASH operation command failed.
 | Cause | ¾ Target board is unstable. ¾ Incorrect user programming configuration. ¾ For other causes, please contact your supplier.
2022 | target CPU not found.
 | Description | Target CPU has not been found.
 | Cause | ¾ Trouble with JTAG interface on the target board. ¾ CPU damaged. ¾ CPU does not support JTAG debugging. ¾ Program device voltage does not match the CPU and cannot support the CPU.
2023 | time out, …… failed
 | Description | FLASH operation command failed in execution due to time out.
 | Cause | ¾ Target board is unstable. ¾ Incorrect user programming configuration. ¾ For other causes, please contact your supplier.
2024 | unable to load emulator module.
 | Description | Unable to load emulator module
 | Cause | ¾ The designated program device does not exist. Re-configure the program device. ¾ Program device directory has been set wrongly. Set correct path with reference to the notice to INI file in the attachment.
2025 | unable to load portcall.dll.
 | Description | Unable to load portcall.dll.
 | Cause | ¾ There exists no portcall.dll.Please check the drive program directory as set in the INI file. ¾ The drive program directory has been set wrongly. Set correct path with reference to the notice to INI file in the attachment.
2026 | verify failed, file length is beyond flash memory.
 | Description | Verification failed and the program file length is beyond FLASH memory.
 | Cause | ¾ Excessive file length. Revise the file into a suitable one.
2027 | write register failed.
 | Description | Write register failed.
 | Cause | ¾ abnormal communication between the emulator and target board. ¾ Abnormal applied program of the target board. The user needs to reset the target board and make reconnection.


Notice

7.1 Notice

Please read this section carefully if you use this software the first time.

l Application of this software may cause damage to Flash data of the user’s circuit board.

If user’s circuit board is not completely stable, exception may happen while run the software, and may cause the program failure in normal operation. As a result, the data on Flash chip may be damaged and there may appear random signal in the data bus and address bus.

Similarly, the following cases may also possibly result in the aforesaid consequences.

The user has configured incorrect register values; the user has chosen incorrect CPU or Flash chips; other incorrect parameter setting has been made; there exist bug in the software itself.

In order to void serious consequence, a user must backup the important data on Flash chip before use this software; make sure the arbitrary data on the data bus shall not damage the components expanded on the bus.

In addition, before using this software on the user’s circuit board for the first time, it is necessary to complete the tart test first.

l This software has not completely test for its supported CPU and Flash chip.

Limited by resources, this software has test only for partial CPU and Flash chips. Therefore, normal operation of its supported CPU and Flash chips cannot be ensured.

l Newly Added CPU and Flash Chips

This software can easily expand new CPU and Flash chips. If a user has such demand, please contact our engineers for technical support in the ways as described in the next section.

l At present, this software only offers technical support in a way of WEB forum.

For detailed information about the technical support, please refer to the next section.


Technical Support

7.2 Technical Support

We promise our customers to offer relevant technical support. While you have any question in using this product, you may feedback your question to the engineers in charge of technical support of our customer service department in following ways. We shall give you the answer in our technical support forum for Flash Programmer Product. If a user is unable to visit WEB forum, please let us know in your e-mail or fax.

l WEB Technical Support Forum

Our website includes a Flash Programmer technical support forum with the website: http://www.embedinfo.com/cforum/login.asp.

l E-mail

A user may feedback questions to our engineers in charge of technical support by e-mail support@embedinfo.com .

l Fax

A user may feedback questions by fax at 86-755-5620636 ext. 805.

If you want latest and most accurate information about our products (including the product news and relevant information), you may visit our website: http://www.embedinfo.com.


Problem Feedback

7.3 Problem Feedback

l Using Information Record File

If you meet any problem in using this product, you may revise FlashProgrammer.ini file under Flash Programmer setup directory. Revise Log = 0 under Option section as Log = 1. After restart the software, all the output information shall be recorded to Info.Log file. Send this file to our engineers in charge of technical support, which will be helpful to solve the problem.


Intel Hex File Format

Attachment: Intel Hex File Format

Intel HEX files are ASCII files that contain a hexadecimal representation of your program. They may be easily loaded into a device programmer for writing EPROMs or other memory devices.

Intel hex files all consist of printable ASCII characters as shown in the following:

:2000000012014c75a800e4f508f509780a7a78e4f608dafcd283fcfded240af9a7050dbd81

:2000200000010ced2488ec34ff50edc283e4fcfded240af9e76d7013ed33e43c700d0dbd2a

:2000400000010ced2488ec34ff50e50509e50970020508e50924a8e50834fd50aee4f50874

Intel hex consists of one or more records; each record consists of a “:” head with the format as follows:

:CCAAAARR...ZZ

Including:

CC

Bytes count in this record.

AAAA

Start address of data in this record.

RR

Record Type:

00 data record

01 end record

02 paragraph record

03 transfer address record

...

Data field

ZZ

Checksum

All the numerals recorded in Intel hex files are in hexadecimal with two hexadecimal numerals standing for one byte. CC field is the count of bytes in data field without address, record type and checksum taken into consideration. The checksum is the b’s complement to 2 of the total bytes from the byte count field (CC) to the the last byte of the data field (…).


FlashProgrammer.ini File

Attachment: FlashProgrammer.ini File

[Remote]

Device=jtagarm7.DLL

CommType=Parallel

Parallel=LPT1

[Target]

File=

[Directory]

Device=E:\EmbestIDE\Bin\Device

Driver=E:\EmbestIDE\Bin\Driver

EmbestIDE=E:\EmbestIDE

[Option]

Log=0

LoadSectData=1

// Device Section, Auto Setting

// Programming Device Name

// Communication Type

// Communication Channel

// Target Section, Reserved

// Directory Section, Auto Setting in setup

// Device Directory, Software Setup Directory or IDE Device Module Directory

// Drive Directory, Software Setup Directory or IDE Driver Program Directory

// IDE Directory, not setting in case of no IDE set up

// Option Section, manual setting is possible

// Setting 1 indicates recording output information

// Setting 1 refers to the sector data necessary to be loaded once

Note: If Flash chip used by user needs to load sector data once, LoadSectData in INI file may be set.


Embest Online Flash Programmer User Guide Start Page

Flash Programmer

  • Overview
  • Setup and Register
  • Menu
  • Dialog
  • Examples
  • Output Information
  • Customer Service
  • Attachment

Notice
If you're new to Embest Online Flash Programmer, begin here

Examples
Visit this section to learn how to use Embest Online Flash Programmer.

Support Forum
If you have question about this product, this forum can help you.

Embest Company
Go to company's web for the latest product.